![Logo](admin/harmony.png)
# ioBroker Logitech Harmony Adapter


Control your harmony activities from ioBroker.

## Install
Install Harmony via ioBroker Admin.
Adapter should automatically find your Hubs.

## Usage

### Activities
**Start:**  
Set the status state 'Instance.Hub_Name.activities.Activity_Name' to a Number greater than 0.
During the activity's startup sequence the status changes from 1 (startup) to 2(running)

**Stop:**  
Set the state 'Instance.Hub_Name.activities.Activity_Name' to 0.
Alternatively, you can set the hub's status 'Instance.activities.currentStatus' to any number.
During the activity's exit sequence the status changes from 3 (stopping) to 0 (stopped)

### Indicators
There are two indicators 'Instance.Hub_Name.activity' and 'Instance.Hub_Name.connected'. Both are read-only, changing their values has no effect.

**.hubConnected**  
Tells you whether the adapter is successfully connected to the hub.
 
**.hubBlocked**  
Is set to true if Hub is busy starting/stopping activities or sending commands.
 
**activities.currentActivity**  
Gives you the name of the currently running activity.

**activities.currentStatus**  
Gives you the current status of the hub. 
- 0 = inactive
- 1 = starting
- 2 = active
- 3 = stopping

**activities.<activity name\>**  
Status of this activity. Values are the same as above.


### Devices
**Send Command**  
Set 'Instance.Hub_Name.Device_Name.command' to a number x to send command for x milliseconds.  
A value smaller than 250 probably will send the command only once.
After sending the state will be set to 0 again.

## Changelog

### 0.7.0
* (Pmant) support multiple hubs
* (Pmant) removed hub config from admin
* (Pmant) find free Port for Hub-Discovery

### 0.6.2
* (Pmant) fix wrong port

### 0.6.1
* (Pmant) reduce logging

### 0.6.0
* (Pmant) fix admin in firefox
* (Pmant) improve connection stability (needs testing)

### 0.5.6
* (PArns) update harmony lib
* (PArns) removed unneeded functions due to lib update
* (Pmant) fix bug with blocked state

### 0.5.5
* (Pmant) fix hub lifecycle

### 0.5.4
* (Pmant) fix node 5.0.0

### 0.5.3
* (Pmant) fix node-xmpp-client version

### 0.5.2
* (Pmant) change: add instance after installation
* (Pmant) fix: deletes history settings

### 0.5.1
* (Pmant) fix: bug with wrong states

### 0.5.0
* (Pmant) change: object structure (delete instance once if had 0.2.1 or lower installed!)
* (Pmant) add: send commands for x milliseconds
* (Pmant) add: delete unused activities and devices
* (Pmant) add: delay commands when hub is busy

### 0.2.1
* (bluefox) change logo

### 0.2.0
* (Pmant) switch activity on state change
* (Pmant) stop current activity on hub status change
* (Pmant) move activities to activity channel
* (Pmant) add devices channel
* (Pmant) add device control

### 0.1.2
* (Pmant) hub discovery

### 0.1.1
* (Pmant) fixes

### 0.1.0
* (Pmant) keep alive connection to hub
* (Pmant) create/update objects and states
* (Pmant) update current activity status

### 0.0.1
* (Pmant) connect to hub
* (Pmant) listen for activies


### TODO
* translations

### License
MIT



